{pkgs, ...}: {
    imports = [
        ./home.nix
        ./programs.nix
        ./services.nix
    ];

    systemd.user.services = {
        # TODO: Podman
    };

    i18n.inputMethod.enabled = "fcitx5";
    i18n.inputMethod.fcitx5.addons = with pkgs; [
        fcitx5-configtool
        fcitx5-gtk
        fcitx5-chinese-addons
    ];

    gtk = {
        enable = true;
        iconTheme = {
            package = pkgs.iconpack-obsidian; # icon theme
            name = "Obsidian";
        };
    };
}